Subject: Re: [PATCH 00/18] odb: make loose object source a proper `struct odb_source`

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Jun 2026 06:33:10 +0900

Patrick Steinhardt <[email-masked]> writes:

> Hi,
>
> this patch series converts the loose object source into a proper `struct
> odb_source` so that it can be used via our generic interfaces.
>
> The patch series is relatively straight-forward, as the source basically
> already exists as such and the interfaces already match. So for most of
> the part we are just moving around some code and converting functions
> that were previously called directly into callbacks.
>
> I guess the only part that needs some attention is that there is some
> confusion at first with the `struct odb_source_loose::source` parent
> pointer that initially points at the owning `struct odb_source_files`.
> This relationship doesn't make much sense, as a loose source can totally
> exist standalone without the files source.

No significant comments came in the past week or so on these
patches.  Should we declare victory, and mark it for 'next'?  I can
locally amend a typo in [3/18] (<[email-masked]>).